NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Properties | List of all members
NXOpen.Motion.CurveContactBuilder Class Reference

Represents a NXOpen.Motion.CurveContactBuilder More...

Inheritance diagram for NXOpen.Motion.CurveContactBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  GeometryMaterialSide { Direction, DirectionReverse }
 the enum for the materia side direction of the selected geometry More...
 

Properties

unsafe
NXOpen.Motion.CurveContactAdams 
AdamsParameters [get]
 Returns the 2D CurveContact's subobject (the adams parameters) More...
 
unsafe string ContactName [get, set]
 Returns or sets the contact name More...
 
unsafe double DisplayScale [get, set]
 Returns or sets the display scale More...
 
unsafe NXOpen.SelectNXObjectList FirstContactCurve [get]
 Returns the selection of the first contact curve More...
 
unsafe
NXOpen.Motion.CurveContactBuilder.GeometryMaterialSide 
FirstGeometryMaterialDirection [get, set]
 Returns or sets the first geometry materia side direction More...
 
unsafe
NXOpen.Motion.CurveContactRecurdyn 
RecurdynParameters [get]
 Returns the 2D CurveContact's subobject (the recurdyn parameters) More...
 
unsafe NXOpen.SelectNXObjectList SecondContactCurve [get]
 Returns the selection of the second contact curve More...
 
unsafe
NXOpen.Motion.CurveContactBuilder.GeometryMaterialSide 
SecondGeometryMaterialDirection [get, set]
 Returns or sets the second geometry materia side direction More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Motion.CurveContactBuilder

To create a new instance of this class, use NXOpen.Motion.CurveContactCollection.CreateCurveContactBuilder

Default values.

Property Value

AdamsParameters.DynamicCoefficientExpression.Value

0.05

AdamsParameters.ForceExponentExpression.Value

1.2

AdamsParameters.MaterialDampingExpression.Value

100000.0 (millimeters part), 570.993 (inches part)

AdamsParameters.PenetrationDepthExpression.Value

0.001 (millimeters part), 0.00003937 (inches part)

AdamsParameters.SlipVelocityExpression.Value

0.1 (millimeters part), 0.003937 (inches part)

AdamsParameters.StaticCoefficientExpression.Value

0.08

AdamsParameters.StiffnessExpression.Value

100000000000.0 (millimeters part), 570993141.98628 (inches part)

AdamsParameters.TransitionVelocityExpression.Value

1.0 (millimeters part), 0.03937 (inches part)

DisplayScale

1.0

RecurdynParameters.BufferRadiusFactorExpression.Value

1.2

RecurdynParameters.CurveToleranceFactorExpression.Value

10.0

RecurdynParameters.DynamicCoefficientExpression.Value

0.05

RecurdynParameters.FirstCurveMaximumPenetrationExpression.Value

10.0 (millimeters part), 0.3937 (inches part)

RecurdynParameters.ForceExponentExpression.Value

1.2

RecurdynParameters.MaterialDampingExpression.Value

100000.0 (millimeters part), 570.993 (inches part)

RecurdynParameters.MaximumStepSizeFactorExpression.Value

2.0

RecurdynParameters.PenetrationDepthExpression.Value

0.001 (millimeters part), 0.00003937 (inches part)

RecurdynParameters.SecondCurveMaximumPenetrationExpression.Value

10.0 (millimeters part), 0.3937 (inches part)

RecurdynParameters.SlipVelocityExpression.Value

0.1 (millimeters part), 0.003937 (inches part)

RecurdynParameters.StaticCoefficientExpression.Value

0.08

RecurdynParameters.StiffnessExpression.Value

100000000000.0 (millimeters part), 570993141.98628 (inches part)

RecurdynParameters.TransitionVelocityExpression.Value

1.0 (millimeters part), 0.03937 (inches part)

Created in NX5.0.0

Member Enumeration Documentation

the enum for the materia side direction of the selected geometry

Enumerator
Direction 
DirectionReverse 

Property Documentation

unsafe NXOpen.Motion.CurveContactAdams NXOpen.Motion.CurveContactBuilder.AdamsParameters
get

Returns the 2D CurveContact's subobject (the adams parameters)

Created in NX5.0.0

License requirements: None.

unsafe string NXOpen.Motion.CurveContactBuilder.ContactName
getset

Returns or sets the contact name

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: mechanisms ("MECHANISMS")

unsafe double NXOpen.Motion.CurveContactBuilder.DisplayScale
getset

Returns or sets the display scale

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: mechanisms ("MECHANISMS")

unsafe NXOpen.SelectNXObjectList NXOpen.Motion.CurveContactBuilder.FirstContactCurve
get

Returns the selection of the first contact curve

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.Motion.CurveContactBuilder.GeometryMaterialSide NXOpen.Motion.CurveContactBuilder.FirstGeometryMaterialDirection
getset

Returns or sets the first geometry materia side direction

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: mechanisms ("MECHANISMS")

unsafe NXOpen.Motion.CurveContactRecurdyn NXOpen.Motion.CurveContactBuilder.RecurdynParameters
get

Returns the 2D CurveContact's subobject (the recurdyn parameters)

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.SelectNXObjectList NXOpen.Motion.CurveContactBuilder.SecondContactCurve
get

Returns the selection of the second contact curve

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.Motion.CurveContactBuilder.GeometryMaterialSide NXOpen.Motion.CurveContactBuilder.SecondGeometryMaterialDirection
getset

Returns or sets the second geometry materia side direction

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: mechanisms ("MECHANISMS")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.